Subject: bug#67460: [PATCH] Add ert-font-lock

From: Yuan Fu <[email-masked]>
Date: Fri, 1 Dec 2023 19:51:08 -0800

On 11/26/23 10:47 AM, Vladimir Kazanov wrote:
> As suggested in emacs-devel@ [1], this patch adds ert-lont-lock.el to
> Emacs. Ert-font-lock is an extension to ERT providing an easy way to
> check font faces either in inline strings or resource files.
>
> The assertion syntax is based on Tree-sitter's syntax highlighter unit
> tests [2]. This makes it easy to port existing tree-sitter grammar
> tests to support both new-style ts-based major modes and the
> traditional ones.
>
> [1] https://lists.gnu.org/archive/html/emacs-devel/2023-11/msg00867.html
> [2] https://tree-sitter.github.io/tree-sitter/syntax-highlighting#unit-testing
Thanks for working on this, this is fantastic! I had a cursory look and 
it is very well written. It will be a great boon to the tree-sitter 
modes, which don't have tests for font-locking right now.

Yuan